> For the complete documentation index, see [llms.txt](https://docs.caf.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.caf.io/caf-sdk/caf-sdk-pt-br/ios/standalone-modules/document-detector/builder/advanced-settings/proxy-settings.md).

# Configuração de proxy

## **Como usar**

Para fazer com que o SDK use seu proxy para realizar solicitações, você deve informar as configurações a serem usadas por meio de uma instância de **`CafProxySettings`** classe enviada como parâmetro para o **`.setProxySettings`** método no builder de qualquer um dos nossos SDKs:

```swift
let proxySettings = CafProxySettings(hostname: hostname, port: port)
    .setAutentication(user: user, password: password)

let documentDetector = DocumentDetector.CafBuilder(mobileToken: mobileToken)
    .setProxySettings(proxySettings: proxySettings)
    .build()
```

## Método construtor

<table><thead><tr><th width="159"></th><th width="124.33333333333331"></th><th></th></tr></thead><tbody><tr><td><strong>Parâmetro</strong></td><td><strong>Tipo</strong></td><td><strong>Descrição</strong></td></tr><tr><td><strong><code>hostname</code></strong></td><td><code>String</code></td><td>Define o domínio ou endereço IP do serviço de proxy</td></tr><tr><td><strong><code>port</code></strong></td><td><code>int</code></td><td>Define a porta a ser usada</td></tr></tbody></table>

## Métodos opcionais

### `setAuthentication(String user, String password)`

Informa os parâmetros de autenticação do seu proxy, se houver.

<table><thead><tr><th width="226"></th><th></th></tr></thead><tbody><tr><td><strong>Parâmetro</strong></td><td><strong>Descrição</strong></td></tr><tr><td><strong><code>user</code></strong></td><td>Nome de usuário a ser usado para autenticação</td></tr><tr><td><strong><code>password</code></strong></td><td>Senha a ser usada para autenticação</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.caf.io/caf-sdk/caf-sdk-pt-br/ios/standalone-modules/document-detector/builder/advanced-settings/proxy-settings.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
